import { RegistryItem } from './item';
import { RegistryItemURL } from './url';
import { LazyLoadURLManager } from './lazyload-man';
export declare function asyncImportURL(this: RegistryItemURL, options?: any): Promise<RegistryItemURL>;
export declare function asyncImportURLs(aItems: RegistryItemURL[], lazyMan: LazyLoadURLManager, options?: any): Promise<RegistryItemURL>[];
export declare function asyncImportItemUrls(this: RegistryItem, options?: any): Promise<RegistryItemURL[]>;
